import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.lang.*;
import javax.swing.*; 
public class SevenSegChar2 extends JFrame implements Runnable{
	private static Thread thread=null;
	int t=0;
	int disp[]=new int[8];
	SevenSegUnit ssu[]=new SevenSegUnit[26];
	String deg[]=new String[4];
	double r;
	int i,j,k;
	int ct,ct2,dct;	
	Image off;
	Graphics offg;
	public SevenSegChar2(String title){
		super(title);
	}
	public static void main(String[] args){
		SevenSegChar2 app=new SevenSegChar2("line morph");
		app.init();
		app.start();	
		app.addWindowListener(new WindowAdapter(){
			public void windowClosing(WindowEvent e){
//				this.stop();
//				this.destroy();
				System.exit(0);
			}
		});		
	}
	public void init(){
		setBackground(Color.black);
		setSize(1300,800);
		setVisible(true);	
		off=createImage(1300,1000);
		offg=off.getGraphics();
		ct=0;
		for(i=0;i<=25;i++){
			ssu[i]=new SevenSegUnit();
			ssu[i].posSet((i%9)*100+60,(int)((i/9)*120)+60);
		}	
	}
	public void paint(Graphics g){
		g.drawImage(off,0,0,this);
	}
	public void update(Graphics g){
		paint(g);
	}

	
	public void start(){
		if (thread==null){
			thread=new Thread(this);
			thread.start();
		}
	
	}
	public void run(){
		while(true){
		offg.setColor(Color.black);
		offg.fillRect(0,0,1300,1000);

		offg.setColor(Color.green);

		ct++;
			ssu[0].draw(offg,"i");	
			ssu[1].draw(offg,"");	
			ssu[2].draw(offg,"a");	
			ssu[3].draw(offg,"m");	
			ssu[4].draw(offg,"");	
			ssu[5].draw(offg,"a");	
			ssu[6].draw(offg,"");	
			ssu[7].draw(offg,"c");	
			ssu[8].draw(offg,"h");	
			ssu[9].draw(offg,"a");	
			ssu[10].draw(offg,"r");	
			ssu[11].draw(offg,"a");	
			ssu[12].draw(offg,"c");	
			ssu[13].draw(offg,"t");	
			ssu[14].draw(offg,"e");	
			ssu[15].draw(offg,"r");	
			ssu[16].draw(offg,"");	
			ssu[17].draw(offg,"d");	
			ssu[18].draw(offg,"i");	
			ssu[19].draw(offg,"s");	
			ssu[20].draw(offg,"p");	
			ssu[21].draw(offg,"l");	
			ssu[22].draw(offg,"a");	
			ssu[23].draw(offg,"y");	
			ssu[24].draw(offg,"");	
			ssu[25].draw(offg,"");	
			repaint();
			try{
				Thread.sleep(20);
			}catch(InterruptedException e){
				e.printStackTrace();
			}
		}	
	}


}
